- [HTTP request](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.identityMappingStores/listIdentityMappings#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.identityMappingStores/listIdentityMappings#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.identityMappingStores/listIdentityMappings#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.identityMappingStores/listIdentityMappings#body.request_body)
- [Response body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.identityMappingStores/listIdentityMappings#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.identityMappingStores/listIdentityMappings#body.ListIdentityMappingsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.identityMappingStores/listIdentityMappings#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.identityMappingStores/listIdentityMappings#body.aspect_1)

Lists Identity Mappings in an Identity Mapping Store.

### HTTP request

Choose an endpoint:
global us   
`GET https://discoveryengine.googleapis.com/v1beta/{identityMappingStore=projects/*/locations/*/identityMappingStores/*}:listIdentityMappings`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `identityMappingStore` | `string` Required. The name of the Identity Mapping Store to list Identity Mapping Entries in. Format: `projects/{project}/locations/{location}/identityMappingStores/{identityMappingStore}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of IdentityMappings to return. If unspecified, defaults to 2000. The maximum allowed value is 10000. Values above 10000 will be coerced to 10000. |
| `pageToken` | `string` A page token, received from a previous `identityMappingStores.listIdentityMappings` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `identityMappingStores.listIdentityMappings` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.identityMappingStores/listIdentityMappings#google.cloud.discoveryengine.v1beta.IdentityMappingStoreService.ListIdentityMappings`

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "identityMappingEntries": [ { object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/IdentityMappingEntry`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `identityMappingEntries[]` | ``object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/IdentityMappingEntry`)`` The Identity Mapping Entries. |
| `nextPageToken` | `string` A token that can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/discoveryengine.readwrite`
- `https://www.googleapis.com/auth/discoveryengine.serving.readwrite`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `identityMappingStore` resource:

- `discoveryengine.identityMappingStores.listIdentityMappings`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).